summaryrefslogtreecommitdiffstats
path: root/multimedia
diff options
context:
space:
mode:
author B. Watson2022-03-31 20:04:34 +0200
committer Willy Sudiarto Raharjo2022-04-02 13:18:48 +0200
commit5edb16d124a795fbd8fcd73f18b57024aac74fe6 (patch)
treecba5dcb7a4c9bccbe50ca47e387fe488ab2b8980 /multimedia
parentc2649abc899a22bbae8c77deabb7676e855d7cdd (diff)
downloadslackbuilds-5edb16d124a795fbd8fcd73f18b57024aac74fe6.tar.gz
multimedia/JSampler: Fail if no jdk package installed.
Signed-off-by: B. Watson <yalhcru@gmail.com> Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'multimedia')
-rw-r--r--multimedia/JSampler/JSampler.SlackBuild19
1 files changed, 14 insertions, 5 deletions
diff --git a/multimedia/JSampler/JSampler.SlackBuild b/multimedia/JSampler/JSampler.SlackBuild
index 5831c9ecd7..54099e930c 100644
--- a/multimedia/JSampler/JSampler.SlackBuild
+++ b/multimedia/JSampler/JSampler.SlackBuild
@@ -27,9 +27,6 @@ if [ -z "$ARCH" ]; then
esac
fi
-# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
-# the name of the created package would be, and then exit. This information
-# could be useful to other scripts.
if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
exit 0
@@ -66,9 +63,21 @@ cd $PRGNAM-$VERSION
chown -R root:root .
find -L . \
\( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 -o -perm 511 \) \
- -exec chmod 755 {} \; -o \
+ -exec chmod 755 {} \+ -o \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
- -exec chmod 644 {} \;
+ -exec chmod 644 {} \+
+
+if [ -z "$JAVA_HOME" ]; then
+ source /etc/profile.d/zulu-openjdk8.sh
+fi
+
+if [ -z "$JAVA_HOME" ]; then
+ cat <<EOF
+*** No JDK found. Install zulu-openjdk8 or another *jdk package and
+*** try again.
+EOF
+ exit 1
+fi
# make sure destdir exists
mkdir -p $PKG/$JAVA_HOME/jre/bin/